package com.m2pool.lease.netty.parser;


import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.m2pool.lease.netty.message.ClientConfigurationMining;
import com.m2pool.lease.netty.message.ClientMessage;

public class StringParser implements MessageParser<String> {
    @Override
    public String parse(ObjectMapper objectMapper, String jsonStr) throws Exception {
        return jsonStr;
    }

    @Override
    public TypeReference<String> getTypeReference() {
        return new TypeReference<String>() {};
    }
}
